org.apache.poi.xddf.usermodel

## Enum SchemeColor

- java.lang.Object
- - java.lang.Enum<SchemeColor>
  - - org.apache.poi.xddf.usermodel.SchemeColor

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SchemeColor>

      public enum SchemeColor
      extends java.lang.Enum<SchemeColor>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCENT_1`
    `ACCENT_2`
    `ACCENT_3`
    `ACCENT_4`
    `ACCENT_5`
    `ACCENT_6`
    `BACKGROUND_1`
    `BACKGROUND_2`
    `DARK_1`
    `DARK_2`
    `FOLLOWED_LINK`
    `LIGHT_1`
    `LIGHT_2`
    `LINK`
    `PLACEHOLDER`
    `TEXT_1`
    `TEXT_2`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SchemeColor` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SchemeColor[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCENT_1

          public static final SchemeColor ACCENT_1

    - #### ACCENT_2

          public static final SchemeColor ACCENT_2

    - #### ACCENT_3

          public static final SchemeColor ACCENT_3

    - #### ACCENT_4

          public static final SchemeColor ACCENT_4

    - #### ACCENT_5

          public static final SchemeColor ACCENT_5

    - #### ACCENT_6

          public static final SchemeColor ACCENT_6

    - #### BACKGROUND_1

          public static final SchemeColor BACKGROUND_1

    - #### BACKGROUND_2

          public static final SchemeColor BACKGROUND_2

    - #### DARK_1

          public static final SchemeColor DARK_1

    - #### DARK_2

          public static final SchemeColor DARK_2

    - #### FOLLOWED_LINK

          public static final SchemeColor FOLLOWED_LINK

    - #### LINK

          public static final SchemeColor LINK

    - #### LIGHT_1

          public static final SchemeColor LIGHT_1

    - #### LIGHT_2

          public static final SchemeColor LIGHT_2

    - #### PLACEHOLDER

          public static final SchemeColor PLACEHOLDER

    - #### TEXT_1

          public static final SchemeColor TEXT_1

    - #### TEXT_2

          public static final SchemeColor TEXT_2

  - ### Method Detail

    - #### values

          public static SchemeColor[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemeColor c : SchemeColor.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemeColor valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.